<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

    <script src=".././angular.min.js"></script>
    <script src="task.js"></script>
</head>
<body ng-app="taskModule">
<h1>TO DO TASK</h1>

<div ng-controller="taskContr as task">
    <input type="text" ng-model="task.name"/>
    <button ng-click="task.add()">Add</button>

    <br/> <br/>
    <span ng-if="task.textArray.length > 0">
    <button ng-click=task.edit($index)>
        <span ng-if="task.isEdited ==false">Edit</span>
        <span ng-if="task.isEdited ==true">Done</span>
    </button>

   <button ng-click="task.deleteAll()">Delete All</button>
</span>

    <br/><br/>

    <div ng-repeat="t in task.textArray track by $index" ng-init="columnIndex = $index">
        {{columnIndex + 1}}.
        <span ng-if="task.isEdited ==false"> {{t.name}}</span>

        <span ng-if="task.isEdited ==true"><input type="text" ng-model="t.name"/></span>

        <button ng-click="task.delete($index)">delete</button>

        <br/><br/>
    </div>

</div>
</body>
</html>